Ad InsertionDelete Ad Trigger

Delete Ad Trigger

Deletes a single queued trigger from both beanstalkd and the database.

curl -X DELETE "https://api.5centscdn.com/v2/streams/pull/123/adinsertion/trigger/123" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "_METHOD": "DELETE"
}'
{
  "result": "success"
}
DELETE
/streams/pull/{streamid}/adinsertion/trigger/{triggerid}
DELETE
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
streamidinteger
Required

Numeric stream ID.

path
triggeridinteger
Required

Numeric trigger ID.

Content-Typestring
Required

The media type of the request body

Options: application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidinteger
Required

Numeric stream ID.

triggeridinteger
Required

Numeric trigger ID.

Body

application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to DELETE to perform a delete operation.

Example:
DELETE

Responses

resultstring
Required

Status of the API response.

Allowed values:successerror
messagestring

Human-readable message describing the result.